Package: org.grails.web.databinding

## [Groovy] Class SpringConversionServiceAdapter

- org.grails.web.databinding.SpringConversionServiceAdapter

- All Implemented Interfaces and Traits:
    ConversionService

      class SpringConversionServiceAdapter
      extends java.lang.Object
      implements ConversionService

  This class implements org.grails.databinding.converters.ConversionService and delegates to a org.springfraemwork core.convert.support.DefaultConversionService.

  See Also:
    ConversionService
    org.springframework.core.convert.support.DefaultConversionService

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.core.convert.ConversionService` | `springConversionService` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SpringConversionServiceAdapter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `canConvert(java.lang.Class<?> source, java.lang.Class<?> target)`
    `` | `java.lang.Object` | `convert(java.lang.Object object, java.lang.Class<?> targetType)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private org.springframework.core.convert.ConversionService springConversionService

  - ### Constructor Detail

    - #### SpringConversionServiceAdapter()

  - ### Method Detail

    - #### boolean canConvert(java.lang.Class<?> source, java.lang.Class<?> target)

    - #### java.lang.Object convert(java.lang.Object object, java.lang.Class<?> targetType)